请教大虾--Lucene 关于result.jsp

pheasant 发布于 2010/06/16 17:43
阅读 369
收藏 1
请教大虾
我在学习Lucene遇到一个问题,在Lucene Demo的result.jsp 里面有个我将Lucene.core.2.3.0 替换成3.0.0版本后再换回来 结果一直提示这里有问题  searcher.search(query)方法 刚开始很正常
加载中
0
zhuzhangsuo
zhuzhangsuo

Lucene 版本更新的过程中,api变化比较大,你最好查一下3.0的api,这个版本删除了许多2.x Deprecated的方法

0
pheasant
pheasant

我最开始的时候是用lucene-2.3.0版本没有什么问题  但是后来我就将工程lib里面的lucene-core-2.3.0.jar替换成了 3.0.0版本的 结果噩梦开始了。一直提示result.jsp里面的searcher.search(query)未定义 我现在想知道为什么出现这种情况,还有怎么解决?请赐教。

0
鉴客
鉴客

Lucene 3.0 和 2.x 差别很大,不能直接替换!

0
pheasant
pheasant

那现在怎么办呢?老是提示错误

0
红薯
红薯

引用来自#5楼“pheasant”的帖子

那现在怎么办呢?老是提示错误

用回 2.x 版本。

另外,鄙视不使用真实头像,还拿美女图片骗人的人

0
熊二哈
熊二哈

好像都不是一个包路径了,要么对着3.0猛改,要么换回去

0
pheasant
pheasant

哈哈……太喜欢她了 没办法。暂时还没有拿得出手的酷照,等哪天有了一定上传,到时候大家不要惭愧哈。嘎嘎……

返回顶部
顶部